if not Watcher then return end

if select(2, UnitClass('player')) ~= "WARLOCK" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants

-- generic spells
Watcher:addicon("Corruption", 172)
Watcher:addicon("Curse of Agony", 980)
Watcher:addicon("Death Coil", 6789)
Watcher:addicon("Immolate", 348)
Watcher:addicon("Incinerate", 29722)
Watcher:addicon("Seed of Corruption", 27243)
Watcher:addicon("Shadow Bolt", 686)

-- talented spells and procs
Watcher:addicon("Aftermath", 18119)
Watcher:addicon("Backdraft", 47258)
Watcher:addicon("Shadow Embrace", 32385)
Watcher:addicon("Shadow Mastery", 17800) -- proc from ISB, not the affliction talent
Watcher:addicon("Shadowflame", 47897)
Watcher:addicon("Chaos Bolt", 50796)
Watcher:addicon("Conflagrate", 17962)
Watcher:addicon("Haunt", 48181)
Watcher:addicon("Metamorphosis", 59672)
Watcher:addicon("Soul Fire", 6353)
Watcher:addicon("Soul Link", 19028)
Watcher:addicon("Unstable Affliction", 30108)

-- glyphs
Watcher:addicon("Life Tap", 1454)
Watcher:addicon("Dark Pact", 18220)

-- armors
Watcher:addicon("Demon Armor", 706) --687
Watcher:addicon("Fel Armor", 28176) 

function Watcher:addClassSpells()
Watcher:Apply("Shadow Mastery", "Shadow Bolt", 3, 0, false) -- ISB proc
Watcher:Apply("Shadow Embrace", "Shadow Bolt", 3, 0, true) -- afflic talent
Watcher:Debuff("Corruption")
Watcher:Debuff("Seed of Corruption")
Watcher:Debuff("Curse of Agony")
Watcher:Debuff("Immolate", 1.5)
Watcher:Debuff("Unstable Affliction", 1.5)
Watcher:Capitalize("Immolate", "Conflagrate")
Watcher:Capitalize("Immolate", "Incinerate")
Watcher:Direct("Haunt")
Watcher:Direct("Shadow Bolt")
Watcher:Direct("Shadowflame")
Watcher:Proc("Molten Core", "Incinerate")
Watcher:Proc("Molten Core", "Soul Fire")
Watcher:Proc("Shadow Trance", "Shadow Bolt")
Watcher:Proc("Backlash", "Shadow Bolt")
Watcher:Buff("Life Tap", "Life Tap")
Watcher:BuffPerm("Soul Link")
end
